/*
 *
 * Copyright 2017-2019 by Kappich Systemberatung, Aachen
 *
 * This file is part of de.bsvrz.ars.ars.
 *
 * de.bsvrz.ars.ars is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * de.bsvrz.ars.ars is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.ars.ars.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact Information:
 * Kappich Systemberatung
 * Martin-Luther-Straße 14
 * 52062 Aachen, Germany
 * phone: +49 241 4090 436
 * mail: <info@kappich.de>
 */

package de.bsvrz.ars.ars.persistence.iter;

/**
 *
 *
 * @author Kappich Systemberatung
 */
public enum DeletedTreatment {
	/**
	 * Gelöschte Container werden bei der Rückgabe ignoriert
	 */
	Ignore,
	/**
	 * Gelöschte Container werden als einzelner Datensatz mit Min- und Max-Zeitstempel zurückgegeben
	 */
	MinMax,
	/**
	 * Gelöschte Container werden als einzelne Datensätze zurückgegeben (jeweils nur Datenindex)
	 */
	Full
}
