/*
 *
 * Copyright 2017-2019 by Kappich Systemberatung, Aachen
 *
 * This file is part of de.bsvrz.ars.ars.
 *
 * de.bsvrz.ars.ars is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * de.bsvrz.ars.ars is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.ars.ars.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact Information:
 * Kappich Systemberatung
 * Martin-Luther-Straße 14
 * 52062 Aachen, Germany
 * phone: +49 241 4090 436
 * mail: <info@kappich.de>
 */

package de.bsvrz.ars.ars.persistence.walk.internal;

import de.bsvrz.ars.ars.persistence.DataIdentificationDir;
import de.bsvrz.ars.ars.persistence.PersistenceException;
import de.bsvrz.sys.funclib.kappich.annotations.Nullable;

/**
 * Interface für Klassen, die eine Menge von Containerverzeichnissen nacheinander zurückgeben.
 *
 * @author Kappich Systemberatung
 */
public interface DataIdentificationDirGetter {

	/**
	 * Pollt das nachste Verzeichnis. Gibt null zurück, wenn es keines mehr gibt.
	 * @return Verzeichnis, das Containerdateien enthält (enthalten kann) oder null falls keines mehr vorhanden ist.
	 * @throws PersistenceException Fehler im Persistenzverzeichnis
	 */
	@Nullable
	DataIdentificationDir poll() throws PersistenceException;

}
